Bug 707483 - systemd segfault when invalid method on DBus invoked
Summary: systemd segfault when invalid method on DBus invoked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-25 08:32 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
7 users (show)

Fixed In Version: systemd-26-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-29 00:00:00 UTC


Attachments (Terms of Use)

Description Jan Vcelak 2011-05-25 08:32:25 UTC
Description of problem:

Invoking invalid method on systemd DBus interface causes segfault in systemd.

Version-Release number of selected component (if applicable):

[build@f15 ~]$ rpm -qa systemd\*
systemd-debuginfo-6-1.fc15.x86_64
systemd-26-1.fc15.x86_64
systemd-sysv-26-1.fc15.x86_64
systemd-units-26-1.fc15.x86_64

How reproducible:

always

Steps to Reproduce:

Run following Python code as root

import dbus
bus = dbus.SystemBus()
systemd = bus.get_object("org.freedesktop.systemd1", "/org/freedesktop/systemd1")
systemd.a()

Actual results:

Message from syslogd@f15 at May 25 10:23:17 ...
kernel:[  173.199504] systemd[1]: segfault at 0 ip 00007ffc21e6f914 sp 00007fffe8207ba8 error 4 in libc-2.13.90.so[7ffc21dee000+192000]

Expected results:

systemd will not crash

Comment 1 Michal Schmidt 2011-05-25 14:22:56 UTC
This patch should fix it:
http://lists.freedesktop.org/archives/systemd-devel/2011-May/002506.html

Comment 2 Fedora Update System 2011-05-25 19:10:22 UTC
systemd-26-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/systemd-26-2.fc15

Comment 3 Fedora Update System 2011-05-26 21:56:13 UTC
Package systemd-26-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-26-2.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-26-2.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-28 23:59:44 UTC
systemd-26-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.